Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class FileChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.FileChooserUI

Direct Known Subclasses:
  BasicFileChooserUI, MultiFileChooserUI

public abstract class FileChooserUI
extends ComponentUI

Pluggable look and feel interface for JFileChooser

Constructor Summary
`FileChooserUI()`

Method Summary
`abstract void` | `ensureFileIsVisible(JFileChooser fc, File f)`
`abstract FileFilter` | `getAcceptAllFileFilter(JFileChooser fc)`
`abstract String` | `getApproveButtonText(JFileChooser fc)`
`abstract String` | `getDialogTitle(JFileChooser fc)`
`abstract FileView` | `getFileView(JFileChooser fc)`
`abstract void` | `rescanCurrentDirectory(JFileChooser fc)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChooserUI

    public FileChooserUI()

Method Detail

### getAcceptAllFileFilter

    public abstract FileFilter getAcceptAllFileFilter(JFileChooser fc)

### getFileView

    public abstract FileView getFileView(JFileChooser fc)

### getApproveButtonText

    public abstract String getApproveButtonText(JFileChooser fc)

### getDialogTitle

    public abstract String getDialogTitle(JFileChooser fc)

### rescanCurrentDirectory

    public abstract void rescanCurrentDirectory(JFileChooser fc)

### ensureFileIsVisible

    public abstract void ensureFileIsVisible(JFileChooser fc,
                                             File f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.